petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLimiterSetType

Builds a particular PetscLimiter

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscLimiterSetType(PetscLimiter lim, PetscLimiterType name)

Collective on lim

### Input Parameters

| lim | - The PetscLimiter object
| name | - The kind of limiter

### Options Database Key

-petsclimiter_type <type> -Sets the PetscLimiter type; use -help for a list of available types

### See Also

PetscLimiterGetType(), PetscLimiterCreate()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages